Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## unity.annotation
Class AnnotatedSourceDatabase

    java.lang.Object
      unity.annotation.SourceDatabase
          unity.annotation.AnnotatedSourceDatabase

    public class AnnotatedSourceDatabase

extends SourceDatabase

Constructor Summary
`AnnotatedSourceDatabase()`
`AnnotatedSourceDatabase(java.lang.String name, java.lang.String productName, java.lang.String version, java.lang.String url, java.lang.String driver)`

Method Summary
`java.sql.Connection` | `getConnection()`
`DGraph` | `getJoinGraph()`
`java.lang.String` | `getSemanticDatabaseName()`
`org.w3c.dom.Node` | `importXML(org.w3c.dom.Node xspec)`
`void` | `setConnection(java.sql.Connection newCon)`
`void` | `setJoinGraph(DGraph join)`
`void` | `setSemanticDatabaseName(java.lang.String name)`
`java.lang.String` | `toString()`
`java.lang.String` | `toXML()`

Methods inherited from class unity.annotation.SourceDatabase
`addTable, getDatabaseName, getDatabaseProductName, getDatabaseProductVersion, getDriverName, getJavaDriverName, getSourceTables, getTable, getURLJava, getURLJDBC, setDatabaseName, setDatabaseProductName, setDatabaseProductVersion, setDriverName, setJavaDriverName, setSourceTables, setURLJava, setURLJDBC`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AnnotatedSourceDatabase

    public AnnotatedSourceDatabase()

### AnnotatedSourceDatabase

    public AnnotatedSourceDatabase(java.lang.String name,
                                   java.lang.String productName,
                                   java.lang.String version,
                                   java.lang.String url,
                                   java.lang.String driver)

Method Detail

### setSemanticDatabaseName

    public void setSemanticDatabaseName(java.lang.String name)

### getSemanticDatabaseName

    public java.lang.String getSemanticDatabaseName()

### setConnection

    public void setConnection(java.sql.Connection newCon)

### getConnection

    public java.sql.Connection getConnection()
                                      throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### toXML

    public java.lang.String toXML()

  Overrides:
    `toXML` in class `SourceDatabase`

### getJoinGraph

    public DGraph getJoinGraph()

### setJoinGraph

    public void setJoinGraph(DGraph join)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `SourceDatabase`

### importXML

    public org.w3c.dom.Node importXML(org.w3c.dom.Node xspec)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD